import request from "@/utils/request";

/**
 * 获取模块中心分类
 * @returns {Promise}
 */
export function getModuleCategory() {
  return request({
    url: "/backend/moduleCategory",
    method: "get",
  });
}

/**
 * 获取模块中心列表
 * @param {number} cid 分类id
 * @returns {Promise}
 */
export function getModules(cid) {
  return request({
    url: "/backend/moduleCenter/modules",
    method: "get",
    params: { cid }
  });
}

/**
 * 编辑模块分类
 * @param {Object} data 分类数据
 * @param {number} data.id 分类id（编辑时必填，新增时不填）
 * @param {string} data.title 分类名称
 * @param {number} data.status 分类状态
 * @returns {Promise}
 */
export function editModuleCategory(data) {
  return request({
    url: "/backend/moduleCenter/editCategory",
    method: "post",
    data
  });
}

/**
 * 编辑模块
 * @param {Object} data 模块数据
 * @param {number} data.id 模块id（编辑时必填，新增时不填）
 * @param {string} data.title 模块名称
 * @param {number} data.status 模块状态
 * @returns {Promise}
 */
export function editModules(data) {
  return request({
    url: "/backend/moduleCenter/editModules",
    method: "post",
    data
  });
}
